package com.lightinit.hsdataplatformresdir.mapper;

import com.lightinit.hsdataplatformresdir.entity.Sector;
import com.lightinit.hsdataplatformresdir.entity.SectorExample;
import java.util.List;

import com.lightinit.hsdataplatformresdir.model.admin.SectorCountListModel;
import com.lightinit.hsdataplatformresdir.model.admin.SectorCountSearchModel;
import org.apache.ibatis.annotations.Param;

public interface SectorMapper {
    long countByExample(SectorExample example);

    int deleteByExample(SectorExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Sector record);

    int insertSelective(Sector record);

    List<Sector> selectByExample(SectorExample example);

    Sector selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Sector record, @Param("example") SectorExample example);

    int updateByExample(@Param("record") Sector record, @Param("example") SectorExample example);

    int updateByPrimaryKeySelective(Sector record);

    int updateByPrimaryKey(Sector record);

    List<SectorCountListModel> queryList(SectorCountSearchModel inputModel);

    List<Sector> getDepartmentByLoginUserId(@Param("orgId") Long orgId);
}